#pragma once
#include "mof/tstring.hpp"
#include <mof/scene.hpp>

namespace mof{

	namespace Application
	{
	    //private
	
		enum InputMode
		{
			INPUT_MODE_DEVICE = 0,
			INPUT_MODE_LOGGING,
			INPUT_MODE_LOGGED,
		};
	    //public
	    void initialize
	    ( 
	        const mof::tstring& appname , 
	        int width , 
	        int height ,
	        bool fullscreen ,
	        double fps, 
	        int nUpdatingPerFrame,
			InputMode input_mode,
			bool enable_output_frame,
			bool enable_output_audio
	    );
	    void finalize();
	    void run(scene& s);
		InputMode input_mode();
	    void quit();
	}


}
